## org.opengis.feature
Class BackingStoreException

    Object
      Throwable
          Exception
              RuntimeException
                  BackingStoreException

All Implemented Interfaces:
  Serializable

    public class BackingStoreException

extends RuntimeException

Thrown to indicate that a `FeatureCollection` operation could not complete because of a failure in the backing store, or a failure to contact the backing store. At the difference of `FeatureStoreException`, this exception is unchecked in order to allows its usage with the Java collection framework. This exception usually have an `IOException` or a `SQLException` as its cause. The cause may also be a `TransformException` if the feature collection performs reprojection on the fly.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Constructor Summary
`BackingStoreException()` Constructs a new exception with no detail message.
`BackingStoreException(String message)` Constructs a new exception with the specified detail message.
`BackingStoreException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`BackingStoreException(Throwable cause)` Constructs a new exception with the specified cause.

Method Summary

Methods inherited from class Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BackingStoreException

    public BackingStoreException()

  Constructs a new exception with no detail message.

### BackingStoreException

    public BackingStoreException(String message)

  Constructs a new exception with the specified detail message.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.

### BackingStoreException

    public BackingStoreException(Throwable cause)

  Constructs a new exception with the specified cause.

  Parameters:
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

### BackingStoreException

    public BackingStoreException(String message,
                                 Throwable cause)

  Constructs a new exception with the specified detail message and cause.

  Parameters:
    `message` - the detail message, saved for later retrieval by the `Throwable.getMessage()` method.
    `cause` - the cause, saved for later retrieval by the `Throwable.getCause()` method.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.